#! @BASH@
#
echo 1..2 # Number of tests to be executed.
#
test -n "$CDO"      || CDO="@abs_top_builddir@/src/cdo $CDO_DEBUG"
#
HAS_MAGICS=`${CDO} --config has-magics`
#
XTESTDIR=$CDOTESTDATA/magics
#
DEVICE=png
# contour png file differ for different compilers
# OPERATORS="shaded grfill contour"
OPERATORS="shaded grfill"
#
NTEST=1
#
for OPERATOR in $OPERATORS; do
    CDOTEST="$OPERATOR"

    if [ -d "$XTESTDIR" ] ; then
        if [ "${HAS_MAGICS}" = yes ] ; then
            IFILE=$XTESTDIR/tsurf_data.grb
            OBASE=res_mag_$OPERATOR
            OFILE="${OBASE}_tsurf.png"
            RFILE="$XTESTDIR/ref_mag_${OPERATOR}_tsurf.png"

            RSTAT=0

            echo "Running test: $NTEST - $CDOTEST"

            CDOCOMMAND="$CDO  ${OPERATOR},device=${DEVICE},list=200;240;250;260;270;280;290;300;340 $IFILE $OBASE"

            echo "$CDOCOMMAND"

            $CDOCOMMAND
            test $? -eq 0 || (( RSTAT+=1 ))

            cmp $RFILE $OFILE
            test $? -eq 0 || (( RSTAT+=1 ))

            rm -f $OFILE

            test $RSTAT -eq 0 && echo "ok $NTEST - $CDOTEST"
            test $RSTAT -eq 0 || echo "not ok $NTEST - $CDOTEST"
        else
            echo "ok $NTEST - $CDOTEST # SKIP Magics not enabled"
        fi
    else
        echo "ok $NTEST - $CDOTEST # SKIP test not enabled"
    fi

    (( NTEST+=1 ))
done
#
exit 0
